// pages/record/record.js
import Dialog from 'tdesign-miniprogram/dialog/index';
import Toast from 'tdesign-miniprogram/toast/index';
let {
  $get,
  $post
} = require('../../utils/request.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    enable: false,
    loadingProps: {
      size: '50rpx',
    },
    noDataImage: "/assets/5.png",
    list: []
  },
  showDialog: function (e) {
    wx.redirectTo({
      url: `/pages/articledetail/articledetail?id=${e.currentTarget.dataset.id}&name=${e.currentTarget.dataset.name}&content=${e.currentTarget.dataset.content}&type=${e.currentTarget.dataset.type}`,
    });
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.getData()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  // 下拉刷新
  onRefresh() {
    this.setData({ enable: true });
    this.getData()
  },
  // 获取数据
  getData() {
    var _that = this;
    // var info = JSON.parse(wx.getStorageSync('info'))
    // console.log(info)
    // var token = info.data.user
    wx.request({  
      url: 'http://192.168.251.13:8091/api/listAll', // 上传接口地址
      method:'GET',
      header: {
        'content-type': 'application/json' // 设置请求头为json格式
      },
      success(res) {
        const data = res.data;
        console.log(data)
        // 根据实际返回的数据格式处理返回结果
        if (data.successful === true) {
          wx.showToast({
            title: '数据获取成功',
            icon: 'success',
            duration: 2000
          });
          const content = data.resultValue
          _that.setData({list:content})
        } else {
          wx.showToast({
            title: '上传失败，请重试！',
            icon: 'none',
            duration: 2000
          });
        }
      },
      fail(err) {
        console.error('上传失败：', err);
        wx.showToast({
          title: '上传失败，请重试！',
          icon: 'none',
          duration: 2000
        });
      }
    });
    this.setData({ enable: false });
  },
  showDetail: function(e){
    console.log(e)
    wx.redirectTo({
      url: `/pages/articles/articles?type=${e.currentTarget.dataset.type}`,
    });
  },
  addDetail: function(e){
    // wx.redirectTo({
    //   url: `/pages/addPage/addarticles`,
    // });
    var systme = wx.getStorageSync('info')
    console.log(systme)
    if(systme==''){
      wx.redirectTo({
        url: `/pages/login/login`,
      });
    }
    var info = JSON.parse(systme)
    console.log(info)
    var token = info.data.user
    if(token != null){
      console.log(e)
      wx.redirectTo({
        url: `/pages/addPage/addarticles`,
      });
    }else{
      wx.redirectTo({
        url: `/pages/login/login`,
      });
    }
    
  }
})